﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace PojeClient {
    // 設定変更を行うフォーム．Settings の public static メンバを直接いじる．
    public partial class Form_ChangeSettings : Form {
        public Form_ChangeSettings() {
            InitializeComponent();
        }

        private void button_Cancel_Click(object sender, EventArgs e) {
            Logger.log("Settings change canceled.");
            this.Close();
        }

        // Settingsの中身を読んで画面に現在の値を表示
        private void Form_ChangeSettings_Shown(object sender, EventArgs e) {
            comboBox_ip.Text        = Settings.ConnectionIP;
            comboBox_port.Text      = Settings.ConnectionPort.ToString();
            comboBox_limittime.Text = Settings.LimitTime.ToString();
            comboBox_wait.Text      = Settings.TOTALWAIT.ToString();
            checkBox_showingNetLog.Checked = Settings.showingNetLog;
            checkBox_EnableServer.Checked = Settings.enableStartAsServer;
            textBox_username.Text = Settings.userName;
        }

        private void button_OK_Click(object sender, EventArgs e) {
            Settings.ConnectionIP = comboBox_ip.Text;
            Settings.ConnectionPort = Int32.Parse(comboBox_port.Text);
            Settings.LimitTime = Int32.Parse(comboBox_limittime.Text);
            Settings.TOTALWAIT = Int32.Parse(comboBox_wait.Text);
            Settings.showingNetLog = checkBox_showingNetLog.Checked;
            Settings.enableStartAsServer = checkBox_EnableServer.Checked;
            Settings.userName = textBox_username.Text;
            Logger.log("Settnigs changed");
            this.Close();
        }
    }
}
